<?php
class Customer extends Member {
	static $db = array(
		'CustomerType' => "Enum('Private,Business','Private')"
	);	
	static $has_one = array(
		'Avatar' => 'Image',
	);
	static $has_many = array(
		'HostingContracts' => 'HostingContract'
	);
	static $summary_fields = array(
		'FirstName',
		'Surname',
		'CustomerType'
	);
	static $searchable_fields = array(
		'FirstName',
		'Surname',
		'HostingContracts.ContractNumber'
	);
	function getCMSFields() {
		$fields = parent::getCMSFields();
		$fields->removeByName('Locale');
		
		return $fields;
	}
}
?>